View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002402SAS.Планета[All Projects] Хотелкаpublic09-04-2014 10:5622-10-2014 17:50
ReporterGarl 
Assigned ToGarl 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformWindowsOS7OS VersionProfessional
Product Version.Nightly 
Target Version140505Fixed in Version140505 
Summary0002402: В списке версий отображать и дату
Descriptionсобственно хочется чтобы выглядело вот так:

http://i33.fastpic.ru/big/2014/0408/82/01b1ca194c2579709debefce62b38b82.jpg

но есть проблема: в существующей MapSvcScan\FoundItems.sqlitedb хранится версия + дата время последнего сканирования без даты снимка (

как лучше делать? отдельную базу или пихать всё в эту с пересозданием оной?
Tagsверсия, дата
Attached Filesjpg file icon versions.jpg [^] (128,476 bytes) 09-04-2014 10:56

- Relationships
related to 0002176confirmed Хранить локально список существующих на сервере версий карт 

-  Notes
(0014122)
zed (manager)
09-04-2014 11:43

А есть возможность получать дату снимка? Если да, то тут явно напрашивается дополнительное поле в БД, для этой даты.
(0014123)
Garl (manager)
09-04-2014 13:31

Дату можно получать через диалог Доступные снимки, но уразных провайдеров разные ID снимков.
например
layer=de560b25a6494a7dd573c5d4d2b97c4c date=2010.09.20

так вот идея сделать версионный кэш и называть Версии = версиям например тер@$ервеrа и по ним при совпадении версий выводить и дату.
(0014160)
vasketsov (manager)
22-04-2014 15:09

Интересна связь найденных снимков с версиями текущей карты, как вообще они стыкуются. Что-то сильно изменили для этого?

>есть возможность получать дату снимка?
Для некоторых источников снимков - есть, иногда есть диапазон дат.
Какое это отношение имеет к дате версии, и вообще что считать датой для версии? Например, для версии гугла с разными снимками с разной датой что выводить в перечислении версий?
(0014167)
Garl (manager)
23-04-2014 04:17

Тут речь именно о GUID версиях ДГ у них однозначно одна дата проведения схёмки, есть ещё дата цветокоррекции снимка , но это ж не дать съёмки.

диапазон дат из DG2 я убрал.
сохраняются ид снимков только от двух провайдеров TераSerвер и ДГ2

как по мне так стало гораздо удобнее.
ещё прилепить версию из локального файла в zmp и будет вообще хорошо))

- Users who viewed this issue
User List Anonymous (1310x), ygorigor (1x)
Total Views 1311
Last View 20-01-2020 13:15

- Issue History
Date Modified Username Field Change
09-04-2014 10:56 Garl New Issue
09-04-2014 10:56 Garl File Added: versions.jpg
09-04-2014 10:57 Garl Tag Attached: версия
09-04-2014 10:57 Garl Tag Attached: дата
09-04-2014 11:43 zed Note Added: 0014122
09-04-2014 13:31 Garl Note Added: 0014123
22-04-2014 15:09 vasketsov Note Added: 0014160
23-04-2014 04:17 Garl Note Added: 0014167
23-04-2014 04:19 Garl Relationship added related to 0002176
22-10-2014 17:50 Garl Assigned To => Garl
22-10-2014 17:50 Garl Status new => resolved
22-10-2014 17:50 Garl Resolution open => fixed
22-10-2014 17:50 Garl Fixed in Version => 140505
22-10-2014 17:50 Garl Target Version => 140505



Copyright © 2007 - 2020 SAS.Planet Team